<ion-content>
  <div class="contentspace">
    <p class="ptitle">Maps Settings</p>
    <ion-segment mode="ios" style="--background: var(--ion-color-optyblue);"  [(ngModel)]="styleMap" (ionChange)="segmentChanged($event)">
      <ion-segment-button value="mapbox://styles/mapbox/navigation-day-v1">
        <ion-label>Transport</ion-label>
      </ion-segment-button>
      <ion-segment-button value="mapbox://styles/mapbox/navigation-night-v1">
        <ion-label>Nuit</ion-label>
      </ion-segment-button>
      <ion-segment-button value="mapbox://styles/mapbox/satellite-streets-v11">
        <ion-label>Satellite</ion-label>
      </ion-segment-button>
    </ion-segment>

  </div>
</ion-content>
<ion-icon name="close-outline" style="position: absolute; top: 5%; right: 2%; font-size: 1.9rem; color: #858485;" (click)="dismiss()"></ion-icon>
